%global modname nomnom
Name:                nodejs-%{modname}
Version:             1.8.1
Release:             1
Summary:             Nodejs option parser with generated usage and commands
License:             MIT
URL:                 https://github.com/harthur/nomnom
Source0:             http://registry.npmjs.org/nomnom/-/nomnom-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(nodeunit) npm(underscore) npm(chalk)
%description
Nomnom is an option parser for Node. It noms your args and gives them back to
you in a hash.

%prep
%setup -q -n package
%nodejs_fixdep chalk "1 - 2"
%nodejs_fixdep underscore "^1.6"

%build

%check
%nodejs_symlink_deps --check
nodeunit test/*.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{modname}
cp -p package.json nomnom.js %{buildroot}%{nodejs_sitelib}/%{modname}/
%nodejs_symlink_deps

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{modname}

%changelog
* Thu Aug 20 2020 wangchong <wangchong56@huawei.com> - 1.8.1-1
- package init
